summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSamuel Thibault <samuel.thibault@ens-lyon.org>2024-02-08 22:04:46 +0100
committerSamuel Thibault <samuel.thibault@ens-lyon.org>2024-02-08 22:04:46 +0100
commitcd0907a905e126b421b134b167bad3f97c2915a4 (patch)
tree5db2287c594b3359d199236115c5935bacefa989
parent6fa46f4bdca4c6774a2cddba6585a3695ad6f9c8 (diff)
runsystem: Do not try to set up translators if we do not have settrans
-rw-r--r--daemons/runsystem.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/daemons/runsystem.sh b/daemons/runsystem.sh
index b10145a3..34dfeeb7 100644
--- a/daemons/runsystem.sh
+++ b/daemons/runsystem.sh
@@ -60,7 +60,7 @@ echo
#
# Normally this should be the case, but we better make sure since
# without the pflocal server, pipe(2) does not work.
-if ! test -e /servers/socket/1 ; then
+if ! test -e /servers/socket/1 && command -v settrans >/dev/null ; then
# The root filesystem should be read-only at this point.
if fsysopts / --update --writable ; then
settrans -c /servers/socket/1 /hurd/pflocal